# RentalVehicleType

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Unique identifier of the vehicle type (unique within the provider) | 
**name** | Option<**String**> | Public name of the vehicle type (can be empty) | [optional]
**form_factor** | [**models::RentalFormFactor**](RentalFormFactor.md) |  | 
**propulsion_type** | [**models::RentalPropulsionType**](RentalPropulsionType.md) |  | 
**return_constraint** | [**models::RentalReturnConstraint**](RentalReturnConstraint.md) |  | 
**return_constraint_guessed** | **bool** | Whether the return constraint was guessed instead of being specified by the rental provider | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


